<?php

	lt_include( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
	lt_include( PLOG_CLASS_PATH."plugins/closecomments/class/view/adminclosecommentssettingsview.class.php" );

	class AdminCloseCommentsSettingsAction extends AdminAction
	{
		function AdminCloseCommentsSettingsAction( $actionInfo, $request )
		{
			$this->AdminAction( $actionInfo, $request );
			
			$this->requirePermission( "manage_plugins" );
		}
		
		function perform()
		{
			$this->_view = new AdminCloseCommentsSettingsView( $this->_blogInfo );
			$this->setCommonData();
			
			return( true );
		}
	}
?>